import fetch from '../../utils/fetch';


//根据id获取银行账号
export function getBankAccountById(id) {
  return fetch({
    url: global.contextPath + '-companybankaccountsvc/api/service/' + id,
    method: 'get'
  });
}

//获取总行机构
export function querySqlByPage(data) {
  return fetch({
    url: global.contextPath + '-sqlcomputesvc/api/service/querySqlByPage',
    method: 'POST',
    data: data
  });
}

export function querySql(data) {
  return fetch({
    url: global.contextPath+'-sqlcomputesvc/api/service/querySql',
    method: 'POST',
    data:data
  });
}

//获取国家列表
export function getCountryList(data) {
  return fetch({
    url: global.contextPath + '-countrysvc/api/object/country/lookup',
    method: 'put',
    data: data
  });
}

export function queryAdminDivisionItem(data) {
  return fetch({
    url:global.contextPath+'-admindivisionitemsvc/api/object/adminDivisionItem/lookup',
    method:'PUT',
    data:data
  })
}
export function queryAdminDivisionItemIds(data) {
  return fetch({
    url:global.contextPath+'-admindivisionitemsvc/api/service/queryAdministrativeIds',
    method:'POST',
    data:data
  })
}
export function queryAdminDivisionType(data) {
  return fetch({
    url: global.contextPath+'-admindivisiontypesvc/api/object/adminDivisionType/lookup',
    method: 'put',
    data:data
  });
}
