import fetch from '../../utils/fetch';

export function customer({number,size, orgId}) {
  return fetch({
      url: global.contextPath +
      '-potentialcustomersvc/api/object/potentialCustomer/lookup',
      method: 'put',
      data: {
        'condition': {
          'salesOrgId': orgId
        },
        'number': number,
        'relation': 'and',
        'size': size,
        'sortDirection': 'ASC',
        'sortProperties': []
      },
    },
  );
}

