import {modules} from './store'

import Wbs from './components/wbs'
import WbsList from './components/wbsList'
import Org from './components/org'
import OrgList from './components/orgList'
import Lookup from './components/lookup'
import houseDialog from './components/houseDialog'
import HouseTable from './components/houseTable'
import Customer from './components/customer'
import Company from './components/company'
import Country from './components/country'
import Bank from './components/bank'
import WbsGet from './components/wbsGet'
import Sales from './components/sales'
import ManyBuilding from './components/manyBuilding'

import newHouseDialog from './components/newHouseDialog'
import newHouseTable from './components/newHouseTable'

import fetch from './utils/fetch'
import httpClient from './utils/httpClient'

const components = [
  Wbs,
  WbsList,
  Org,
  OrgList,
  Lookup,
  HouseTable,
  houseDialog,
  Customer,
  Company,
  Country,
  Bank,
  WbsGet,
  Sales,
  ManyBuilding,

  newHouseDialog,
  newHouseTable
];

const prefix = 'ymp-';

const install = function(Vue, opts = {}) {
  if (install.installed) return;

  components.map(component => {
    Vue.component(prefix+component.name, component);
  });

};

export default {
  // install,
  // modules,
  fetch,
  httpClient,
  // Wbs,
  // WbsList,
  // Org,
  // OrgList,
  // Lookup,
  // HouseTable,
  // houseDialog,
  // Customer,
  // Company,
  // Country,
  // Bank,
  // WbsGet,
  // Sales,
  // ManyBuilding,
  //
  // newHouseDialog,
  // newHouseTable
}
