
const currStage = {
  namespaced: true,

  state: {
    stage :null
  },
  getters:{
    stageId(state){
      return state.stage?state.stage.id:null;
    },
    stage(state){
      return state.stage;
    }
  },
  mutations:{
    setStage(state,stage){
      state.stage = stage;
      sessionStorage.setItem('stage.item', JSON.stringify(stage));
    },
    setDef(state){
      state.stage = JSON.parse(sessionStorage.getItem('stage.item'));
    },
    removeDef(state){
      state.stage = null;
      sessionStorage.removeItem('stage.item');
    }
  }
};

export default currStage;
