/**
 * Created by Administrator on 2017/8/1.
 */
import axios from 'axios';
const service = axios.create();

service.interceptors.request.use(config => {
  return config;
}, error => {
  console.error(error);
  Promise.reject(error);
});

service.interceptors.response.use(
  response => {
    console.info(response);
    return Promise.resolve(response.data.body||response.data);
  },
  error => {
    console.error(error);
    return Promise.reject(error);
  }
);

export default service;
