import fetch from '../../utils/fetch';

export function houseResource(buildId) {
  return fetch({
    url: global.contextPath + '-housecontrolsvc/api/service/queryHouses',
    method: 'post',
    data: {
      'position': 'houseControl_queryHouseInfo',
      'paramMap': {
        'buildingId': buildId,
      },
    },
  });
}


export function queryHouseConStstus() {
  return fetch({
    url: global.contextPath + '-housestatusconsvc/api/object/houseStatusCon/lookup',
    method: 'put',
    data:{
      "condition": {},
      "size": 100,
      "sortDirection": "ASC",
      "sortProperties": [
        "code"
      ]
    }

  })
}


