// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
import App from './App';
import elementUI from 'element-ui';
import yui from 'ymy-yui';
import 'element-ui/lib/theme-default/index.css';
import 'expose-loader?_!lodash';
import store from './store';

Vue.use(elementUI);
Vue.use(yui);


Vue.config.productionTip = false;

global.contextPath = '/gi-saas-sd';

/* eslint-disable no-new */
new Vue({
  el: '#app',
  store,
  template: '<App/>',
  components: {App},
});
