
const currProject = {
  namespaced: true,

  state: {
    project:null
  },
  getters:{
    projectId(state){
      return state.project?state.project.id:null;
    },
    project(state){
      return state.project;
    }
  },
  mutations:{
    setProject(state,project){
      state.project = project;
      sessionStorage.setItem('project.item', JSON.stringify(project));
    },
    setDef(state){
      state.project = JSON.parse(sessionStorage.getItem('project.item'));
    },
    removeDef(state){
      state.project = null;
      sessionStorage.removeItem('project.item');
    }
  }
};

export default currProject;
